package com.dji.sample.manage.model.dto;

import javax.validation.constraints.NotNull;

/**
 * @author sean
 * @version 1.2
 * @date 2022/9/7
 */
public class LogFileIndexDTO {

    private Integer bootIndex;

    private Long endTime;

    private Long startTime;

    private Long size;

    public LogFileIndexDTO() {
    }

    @Override
    public String toString() {
        return "LogFileIndexDTO{" +
                "bootIndex=" + bootIndex +
                ", endTime=" + endTime +
                ", startTime=" + startTime +
                ", size=" + size +
                '}';
    }

    public Integer getBootIndex() {
        return bootIndex;
    }

    public LogFileIndexDTO setBootIndex(Integer bootIndex) {
        this.bootIndex = bootIndex;
        return this;
    }

    public Long getEndTime() {
        return endTime;
    }

    public LogFileIndexDTO setEndTime(Long endTime) {
        this.endTime = endTime;
        return this;
    }

    public Long getStartTime() {
        return startTime;
    }

    public LogFileIndexDTO setStartTime(Long startTime) {
        this.startTime = startTime;
        return this;
    }

    public Long getSize() {
        return size;
    }

    public LogFileIndexDTO setSize(Long size) {
        this.size = size;
        return this;
    }
}
